<?php
function real_ip()
{
	$ip = 'undefined';

	if (isset($_SERVER)) {
		$ip = $_SERVER['REMOTE_ADDR'];

		if (isset($_SERVER['HTTP_X_FORWARDED_FOR'])) {
			$ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
		}
		else if (isset($_SERVER['HTTP_CLIENT_IP'])) {
			$ip = $_SERVER['HTTP_CLIENT_IP'];
		}
	}
	else {
		$ip = getenv('REMOTE_ADDR');

		if (getenv('HTTP_X_FORWARDED_FOR')) {
			$ip = getenv('HTTP_X_FORWARDED_FOR');
		}
		else if (getenv('HTTP_CLIENT_IP')) {
			$ip = getenv('HTTP_CLIENT_IP');
		}
	}

	$ip = htmlspecialchars($ip, ENT_QUOTES, 'UTF-8');
	return $ip;
}

$db7 = new SQLite3('./api/.logs.db');
$db7->exec('CREATE TABLE IF NOT EXISTS logs(id INTEGER PRIMARY KEY  AUTOINCREMENT  NOT NULL, date TEXT,country TEXT, state TEXT, city TEXT, internet TEXT, isp TEXT, loc TEXT, browser TEXT, ipaddress TEXT, os TEXT, device TEXT)');
$jsondata111 = file_get_contents('./includes/eggzie.json');
$json111 = json_decode($jsondata111, true);
$col1 = $json111['info'];
$col2 = $col1['aa'];
$db = new SQLite3('./api/.eggziepanels.db');
$db->exec('CREATE TABLE IF NOT EXISTS USERS(ID INT PRIMARY KEY,NAME TEXT,USERNAME TEXT,PASSWORD TEXT,LOGO TEXT)');
$rows = $db->query('SELECT COUNT(*) as count FROM USERS');
$row = $rows->fetchArray();
$numRows = $row['count'];

if ($numRows == 0) {
	$db->exec('INSERT INTO USERS(ID ,NAME,USERNAME,PASSWORD,LOGO) VALUES(\'1\',\'Your Name\',\'admin\',\'admin\',\'img/logo.png\')');
}

$res_login = $db->query('SELECT * ' . "\n\t\t\t\t" . '  FROM USERS ' . "\n\t\t\t\t" . '  WHERE id=\'1\'');
$row_login = $res_login->fetchArray();
$name_login = $row_login['NAME'];
$logo_login = $row_login['LOGO'];

if (isset($_POST['login'])) {
	if (!$db) {
		echo $db->lastErrorMsg();
	}

	$sql = 'SELECT * from USERS where USERNAME="' . $_POST['username'] . '";';
	$ret = $db->query($sql);

	while ($row = $ret->fetchArray()) {
		$id = $row['ID'];
		$username = $row['USERNAME'];
		$password = $row['PASSWORD'];
	}

	if (empty($id)) {
		header('Location: ./api/index.php');
	}

	if ($id != '') {
		if ($password == $_POST['password']) {
			session_start();
			$_SESSION['purplenew1'] = true;
			$_SESSION['N'] = $_POST['username'];
			header('Location: dns.php');
		}
		else {
			$message = '<div class="alert alert-danger" id="flash-msg"><h4><i class="icon fa fa-times"></i>Wrong Password!</h4></div>';
			header('Location: login.php?m=' . $message);
		}
	}
	else {
		echo '<div class="alert alert-danger" id="flash-msg"><h4><i class="icon fa fa-times"></i>User Not Exist!</h4></div>';
	}

	$db->close();
}

$date = date('d-m-Y H:i:s');
$IPADDRESS = real_ip();
$db1 = new SQLite3('api/.logs.db');
$db1->exec('CREATE TABLE IF NOT EXISTS logs(id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, date TEXT, ipaddress TEXT)');
$db1->exec('INSERT INTO logs(date, ipaddress) VALUES(\'' . $date . '\', \'' . $IPADDRESS . '\')');
$db2 = new SQLite3('./api/.db.db');
$db2->exec('CREATE TABLE IF NOT EXISTS dns(id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, dns_title VARCHAR(25), url VARCHAR(25), live_dns VARCHAR(25), epg_dns VARCHAR(25), movie_dns VARCHAR(25), series_dns VARCHAR(25), catchup_dns VARCHAR(25))');
$db2->exec('CREATE TABLE IF NOT EXISTS appstore(id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, addtion_app_name VARCHAR(25), addtion_app_pkg VARCHAR(25), addtion_app_icon VARCHAR(50), addtion_app_url VARCHAR(75), addtion_app_status VARCHAR(25))');
$db2->exec('CREATE TABLE IF NOT EXISTS plugin(id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, name VARCHAR(25), pkg_name VARCHAR(25), version VARCHAR(25), playstore_url VARCHAR(25), apk_url VARCHAR(25), status VARCHAR(25))');
$db2->exec('CREATE TABLE IF NOT EXISTS purpvpn(id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, country TEXT, city TEXT, file TEXT)');
echo '<!DOCTYPE html>' . "\n";
echo '<html>' . "\n";
echo "\n";
echo '<head>' . "\n";
echo '    <meta charset="utf-8">' . "\n";
echo '    <meta http-equiv="X-UA-Compatible" content="IE=edge">' . "\n";
echo '    <meta name="viewport" content="width=device-width, initial-scale=1">' . "\n";
echo '    <title>Ultra Purple</title>' . "\n";
echo '    <link href="vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">' . "\n";
echo '    <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">' . "\n";
echo '    <link href="css/sb-admin-' . $col2 . '.css" rel="stylesheet">' . "\n";
echo '    <link rel="shortcut icon" href="favicon.ico" type="image/x-icon">' . "\n";
echo '    <link rel="icon" href="favicon.ico" type="image/x-icon">' . "\n";
echo '</head>' . "\n";
echo "\t" . '<body class="bg-gradient-primary">' . "\n";
echo "\t" . '<div class="container">' . "\n";
echo "\t" . '<div class="row justify-content-center">' . "\n";
echo "\t" . '<center>' . "\n";
echo '<body>' . "\n";
echo '  <div class="wrapper ">' . "\n";
echo '  <br><br><br>' . "\n";
echo "\t" . '<div class="container" style="margin-top:30px">' . "\n";
echo "\t" . '    <div style="width:400px; margin:0 auto;">' . "\n";
echo "\t\t" . '<div class="row">' . "\n";
echo "\t\t\t" . '<div class="center">' . "\n";
echo '                          <center><img src="' . $logo_login . '" width="100" height="100" class="center" alt=""></a></center>' . "\n";
echo "\t\t\t\t" . '<br>' . "\n";
echo "\t\t\t" . '    <h3 class="text-center text-light"><strong>Ultra Purple</strong></h3>' . "\n";
echo "\t\t\t" . '    <h3 class="text-center text-light">' . $name_login . '</h3>' . "\n";
echo "\t\t\t\t" . '<h5 class="text-center text-light">Welcome</h5>' . "\n";
echo "\t\t\t\t" . '<br>' . "\n";
echo "\t\t\t\t" . '<div>' . "\n";
echo "\t\t\t\t" . '    <div style="width:400px; margin:0 auto;">' . "\n";
echo "\t\t\t\t\t" . '<form method="post">' . "\n";
echo "\t\t\t\t\t" . '<input type="text" class="form-control text-primary" placeholder="Username" name="username" required autofocus><br>' . "\n";
echo "\t\t\t\t\t" . '<input type="password" class="form-control text-primary" placeholder="Password" name="password" required><br>' . "\n";
echo "\t\t\t\t\t" . '<button class="btn btn-lg btn btn-primary btn-block" name="login" type="submit">Sign in</button>' . "\n";
echo "\t\t\t\t\t" . '</form>' . "\n";
echo "\t\t\t\t" . '</div>' . "\n";
echo "\t\t\t" . '<div class="card-body">' . "\n";
echo "\t\t\t\t" . '<div class="panel-body">' . "\n";
echo "\t\t\t\t" . '<p class="text-center text-warning">Time Of Arrival: "<i>';
echo date('d-m-Y H:i:s');
echo '</i>"</p>' . "\n";
echo "\t\t\t\t" . '<p class="text-center text-warning">IP Address: "<i>';
echo real_ip();
echo ' </i>"</p>' . "\n";
echo "\t\t\t" . '</div>' . "\n";
echo "\t\t\t" . '</div>' . "\n";
echo '      <!-- Footer -->' . "\n";
echo '      <footer class="">' . "\n";
echo '        <div class="container">' . "\n";
echo '          <div class="copyright text-center my-auto">' . "\n";
echo '          </div>' . "\n";
echo '        </div>' . "\n";
echo '      </footer>';
echo "\t" . '</div>' . "\n";
echo "\t" . '</div>' . "\n";
echo "\t" . '</div>' . "\n";
echo "\t" . '</div>' . "\n";
echo "\t" . '</div>' . "\n";
echo "\t" . '</div>' . "\n";
echo "\t" . '<script src="vendor/jquery/jquery.min.js"></script>' . "\n";
echo "\t" . '<script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>' . "\n";
echo "\t" . '<script src="vendor/jquery-easing/jquery.easing.min.js"></script>' . "\n";
echo "\t" . '<script src="js/sb-admin-2.min.js"></script>' . "\n";
echo "\n";
include 'includes/functions.php';
require 'includes/egz.php';
echo '</body>' . "\n";
echo "\n";
echo '</html>' . "\n";

?>