<?php
$jsondata = file_get_contents('./api/aaa.json');
$data = json_decode($jsondata, true);
$json = $data['entries'];
$version_force_update = $json['version_force_update'];
$version_download_url_apk = $json['version_download_url_apk'];
$version_download_url = $json['version_download_url'];
$version_code = $json['version_code'];
$version_update_msg = $json['version_update_msg'];
$version_name = $json['version_name'];
$package_name = $json['package_name'];

if (isset($_POST['submit'])) {
	$json = $data['entries'];
	$jsonData = file_get_contents('./api/aaa.json');
	$arrayData = json_decode($jsonData, true);
	$replacementData = [
		'entries' => ['version_force_update' => $_POST['version_force_update'], 'version_download_url' => $_POST['version_download_url'], 'version_download_url_apk' => $_POST['version_download_url_apk'], 'version_code' => $_POST['version_code'], 'version_name' => $_POST['version_name'], 'package_name' => $_POST['package_name'], 'version_update_msg' => $_POST['version_update_msg']]
	];
	$newArrayData = array_replace_recursive($arrayData, $replacementData);
	$newJsonData = json_encode($newArrayData, JSON_PRETTY_PRINT);
	file_put_contents('./api/aaa.json', $newJsonData);
	header('Location: update.php');
}

include 'includes/header.php';
echo '<!-- Begin Page Content -->' . "\n";
echo '        <div class="container-fluid">' . "\n";
echo "\n";
echo '          <!-- Page Heading -->' . "\n";
echo '          <h1 class="h3 mb-1 text-gray-800">Push Update</h1>' . "\n";
echo '         ' . "\n";
echo '          <!-- Content Row -->' . "\n";
echo '          <div class="row">' . "\n";
echo "\n";
echo '            <!-- First Column -->' . "\n";
echo '            <div class="col-lg-12">' . "\n";
echo "\n";
echo '              <!-- Custom codes -->' . "\n";
echo '                <div class="card border-left-primary shadow card shadow mb-4">' . "\n";
echo '                <div class="card-header py-3">' . "\n";
echo '                <h6 class="m-0 font-weight-bold text-primary"><i class="fa fa-cloud-upload"></i> Update Details</h6>' . "\n";
echo '                </div>' . "\n";
echo '                <div class="card-body">' . "\n";
echo '                  <form  method="post">' . "\n";
echo "\t\t\t\t\t\t\t" . '<div class="form-group ">' . "\n";
echo '                            <label class="control-label requiredField" for="version_force_update" >' . "\n";
echo '                                <strong> Force Update</strong>' . "\n";
echo '                            </label>' . "\n";
echo '                            <p' . "\t\t\n";
echo "\t\t\t\t\t\t\t" . '<label>False ' . "\n";
echo "\t\t\t\t\t\t\t" . '<input type="radio" name="version_force_update" value="false"  ' . "\n";

if ($json['version_force_update'] == 'false') {
	echo 'checked=\\"checked\\"';
}

echo "\t" . '>' . "\n";
echo "\t\t\t\t\t\t\t" . '</label>' . "\n";
echo "\t\t\t\t\t\t\t" . '<label>True ' . "\n";
echo "\t\t\t\t\t\t\t" . '<input type="radio" name="version_force_update" value="true" ' . "\n";

if ($json['version_force_update'] == 'true') {
	echo 'checked=\\"checked\\"';
}

echo "\t\t\t\t\t\t\t" . '  ' . "\n";
echo "\t\t\t\t\t\t\t" . '</label>' . "\n";
echo "\t\t\t\t\t\t\t" . '</div>';
echo '                         <div class="form-group">' . "\n";
echo '                            <h6 class="form-text"><strong>Download Url</strong></h6>' . "\n";
echo '                           <input type="text" class="form-control" placeholder="http://mydownloadsite.com/app.apk" name="version_download_url_apk" value="' . $version_download_url_apk . '"> ' . "\n";
echo '                         </div>' . "\n";
echo '                            <div class="form-group">' . "\n";
echo "\t\t\t\t\t\t\t" . '<h6 class="form-text"><strong>Playstore Url</strong></h6>' . "\n";
echo "\t\t\t\t\t\t\t\t" . '<input type="text" class="form-control" placeholder="https://play.google.com/store/apps/details?id=com.purple.player" name="version_download_url" value="' . $version_download_url . '">' . "\n";
echo "\t\t\t\t\t\t\t" . '</div>' . "\n";
echo '                            <div class="form-group">' . "\n";
echo "\t\t\t\t\t\t\t" . '<h6 class="form-text"><strong>Version Code</strong></h6>' . "\n";
echo "\t\t\t\t\t\t\t\t" . '<input type="text" class="form-control" placeholder="1.0" name="version_code" value="' . $version_code . '">' . "\n";
echo "\t\t\t\t\t\t\t" . '</div>' . "\n";
echo "\t\t\t\t\t\t\t" . '<div class="form-group">' . "\n";
echo "\t\t\t\t\t\t\t" . '<h6 class="form-text"><strong>Version Name</strong></h6>' . "\n";
echo "\t\t\t\t\t\t\t\t" . '<input type="text" class="form-control" placeholder="1" name="version_name" value="' . $version_name . '">' . "\n";
echo "\t\t\t\t\t\t\t" . '</div>' . "\n";
echo "\t\t\t\t\t\t\t" . '<div class="form-group">' . "\n";
echo "\t\t\t\t\t\t\t" . '<h6 class="form-text"><strong>Package Name</strong></h6>' . "\n";
echo "\t\t\t\t\t\t\t\t" . '<input type="text" class="form-control" placeholder="com.purple.player" name="package_name" value="' . $package_name . '">' . "\n";
echo "\t\t\t\t\t\t\t" . '</div>' . "\n";
echo "\t\t\t\t\t\t\t" . '<div class="form-group">' . "\n";
echo "\t\t\t\t\t\t\t" . '<h6 class="form-text"><strong>Update Message</strong></h6>' . "\n";
echo "\t\t\t\t\t\t\t\t" . '<input type="text" class="form-control" placeholder="Please Update your APK!" name="version_update_msg" value="' . $version_update_msg . '">' . "\n";
echo "\t\t\t\t\t\t\t" . '</div>' . "\n";
echo "\t\t\t\t" . '<br><button class="btn btn-primary btn-icon-split" name="submit" type="submit">' . "\n";
echo '                        <span class="icon text-white-50"><i class="fas fa-check"></i></span><span class="text">Submit</span>' . "\n";
echo '                        </button>' . "\n";
echo "\t\t\t\t" . '</form>' . "\n";
echo "\t\t\t\t" . '</div>' . "\n";
echo '              </div>' . "\n";
echo '            </div>' . "\n";
echo '            </div>' . "\n";
echo '            </div>' . "\n";
echo "\n";
echo '</body>' . "\n";
echo "\n";
echo '</html>';
include 'includes/footer.php';

?>